package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.WmStoreDTO;

import java.util.List;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:47 AM 
 */
public interface WmStoreApiService {

    /**
     * 新增
     * @Title: saveWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 修改
     * @Title: modifyWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> modifyWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 微盟商城店铺授权
     * @Title: authWmStore 
     * @Description:
     * @author guojuxing
     * @param wmMallStoreId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 店铺名称
     */
    ServiceResponse<String> authWmStore(Integer wmMallStoreId);

    ServiceResponse<List<WmStoreDTO>> listWmStore(Integer enterpriseId);

    ServiceResponse<WmStoreDTO> getWmStoreByWmMallStoreId(Integer wmMallStoreId);
}
